[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TestStreamIsXPM

Examines values in the specified stream to determine if it contains a .XPM image.

## Declaration

Source position: graphics.pp line 1988

`function TestStreamIsXPM(`
`const AStream: TStream`
`):Boolean;`

## Arguments

`AStream` |  | TStream instance examined in the routine.

## Function result

True when .XPM signature is found in the stream.

## Description

Skip comments and searches for the 'static [const] [unsigned] char*' statement in the stream.